Start passkey enrolment with a one-time invite or recovery code; `recovers` is true when the code recovers an existing account
POST
/v1/auth/register/begin
const url = 'https://api.reindeer.example.tr/v1/auth/register/begin';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"invite_code":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.reindeer.example.tr/v1/auth/register/begin \ --header 'Content-Type: application/json' \ --data '{ "invite_code": "example" }'Request Bodyrequired
Bölüm başlığı “Request Bodyrequired”Media typeapplication/json
object
invite_code
required
string
Example generated
{ "invite_code": "example"}Responses
Bölüm başlığı “Responses”WebAuthn options and a ceremony handle valid five minutes
Media typeapplication/json
object
ceremony
string
options
object
Example generated
{ "ceremony": "example", "options": {}}RFC 9457 problem
Media typeapplication/problem+json
object
status
integer
code
string
title
string
detail
string
type
string
Example generated
{ "status": 1, "code": "example", "title": "example", "detail": "example", "type": "example"}